%define name msmtp
%define version 1.4.10
%define release %mkrel 1

Summary:	An SMTP client
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://msmtp.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/msmtp/%{name}-%{version}.tar.bz2
Source1:	msmtprc
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	openssl-devel >= 0:0.9.6
BuildRequires:	libgcrypt-devel >= 0:1.2.0
Provides:	sendmail-command

%description
msmtp is an SMTP client that one can use with mail user agents that 
that contain no mail transfer capability (e.g., Mutt).

Supported features:
- sendmail compatible interface (command line options and exit codes)
- SMTP AUTH methods PLAIN, LOGIN, CRAM-MD5 and EXTERNAL
  (and GSSAPI, DIGEST-MD5 and NTLM when compiled with GNU SASL support)
- TLS encrypted connections with the GnuTLS or OpenSSL libraries
  (including server certificate verification and the possibility to send
  a client certificate)
- LMTP support
- DSN (Delivery Status Notification) support
- RMQS (Remote Message Queue Starting) support (ETRN keyword)
- PIPELINING support for increased transmission speed
- IPv6 support
- support for multiple accounts

%prep
%setup -q

%build
%configure --with-ssl=openssl --disable-gsasl
%{__make}

%install
%{__rm} -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}/%{_sysconfdir}
cp %{SOURCE1} %{buildroot}/%{_sysconfdir}/msmtprc
chmod 644 %{buildroot}/%{_sysconfdir}/msmtprc

%find_lang %name

%post
%_install_info %{name}.info
update-alternatives \
	--install %{_sbindir}/sendmail sendmail-command %{_bindir}/msmtp 5 \
	--slave %{_libdir}/sendmail sendmail-command-in_libdir %{_bindir}/msmtp

%preun
%_remove_install_info %{name}.info
if [ $1 = 0 ]; then
        update-alternatives --remove sendmail-command %{_bindir}/msmtp
fi

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-, root, root, 0755)
%doc README THANKS NEWS COPYING AUTHORS doc/msmtp.pdf doc/msmtprc-user.example doc/msmtp.html doc/Mutt+msmtp.txt doc/msmtprc-system.example
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%config(noreplace) %{_sysconfdir}/msmtprc


%changelog
* Mon Jan 22 2007 Lenny Cartier <lenny@mandriva.com> 1.4.10-1mdv2007.0
+ Revision: 111833
- Update to 1.4.10
- Update to 1.4.9

  + Lev Givon <lev@mandriva.org>
    - Import msmtp



* Thu Aug 24 2006 Lenny Cartier <lenny@mandriva.com> 1.4.7-1mdv2007.0
- 1.4.7

* Tue Jun 20 2006 Lenny Cartier <lenny@mandriva.com> 1.4.6-1mdv2007.0
- 1.4.6

* Mon Jun 05 2006 Luca Berra <bluca@vodka.it> 1.4.5-2mdv2007.0
- remove alternative for man page

* Tue Jan 31 2006 Jerome Soyer <saispo@mandriva.org> 1.4.5-1mdk
- New release 1.4.5

* Tue Aug 16 2005 Lenny Cartier <lenny@mandriva.com> 1.4.4-1mdk
- 1.4.4

* Thu Jul 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.3-2mdk 
- fix alternative for man page (Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr>)

* Wed Jul 20 2005 Lenny Cartier <lenny@mandriva.com> 1.4.3-1mdk
- 1.4.3

* Mon Jul 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-3mdk 
- complete sendmail-command alternative 

* Thu Jun 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-2mdk 
- spec clneaup
- provides sendmail-command
- sendmail-command alternative

* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 1.4.1-1mdk
- 1.4.1

* Wed May 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.0-2mdk
- add missing update-alternatives
- add docs
- add system config file
- use mkrel
- fix openssl-devel version requirement (thanks to Lev Givon)

* Tue May 17 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- from Lev Givon <lev@columbia.edu> :
	- Adapt Fedora spec for Mandrake
	- Built with OpenSSL

* Wed Nov 24 2004 Taylor Stearns <taylor@haleph.com> - 1.2.4-2.h
- Rebuilt for Fedora Core 3
- Switched from OpenSSL to GnuTLS
